const modules = Object.values(import.meta.glob('./goods/*.js', { eager: true }))

export const SHOP_FILTERS = [
  {
    label: '全部',
    value: ''
  },
  {
    label: '免费小课',
    value: 'free_course'
  },
  {
    label: '系统小课',
    value: 'system_course'
  },
  {
    label: 'PAA系列课程',
    value: 'PAA',
    children: [
      {
        label: 'PAAP(Ⅰ)认证系列课程',
        value: 'PAAP（Ⅰ）'
      },
      {
        label: 'PAAP(Ⅱ)认证系列课程',
        value: 'PAAP（Ⅱ）'
      },
      {
        label: 'PAAM认证系列课程',
        value: 'PAAM'
      }
    ]
  },
  {
    label: 'PRP',
    value: 'PRP'
  }
]

export const SHOP_LIST = modules.reduce((result, module) => {
  return result.concat(module.default)
}, [])
